/*

    ThermostatQA - test framework for Thermostat Monitoring Tool

    Copyright 2013 Red Hat, Inc.

This file is part of ThermostatQA

ThermostatQA is distributed under the GNU General Public License,
version 2 or any later version (with a special exception described
below, commonly known as the "Classpath Exception").

A copy of GNU General Public License (GPL) is included in this
distribution, in the file COPYING.

Linking ThermostatQA code with other modules is making a combined work
based on ThermostatQA.  Thus, the terms and conditions of the GPL
cover the whole combination.

As a special exception, the copyright holders of ThermostatQA give you
permission to link this code with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on ThermostatQA code.  If you modify ThermostatQA, you may
extend this exception to your version of the software, but you are
not obligated to do so.  If you do not wish to do so, delete this
exception statement from your version.
*/

package org.thermostat.qa.testsuites;

import org.thermostat.qa.annotations.SinceVersion;
import org.thermostat.qa.annotations.TillVersion;
import org.thermostat.qa.annotations.ValidVersions;
import org.thermostat.qa.framework.ThermostatTest;

public class VersionAnnotationsSelfTest extends ThermostatTest
{
    @Override
    protected void setUp() {
        this.configuration.setThermostatVersion("0.3.0");
    }

    @Override
    protected void tearDown() {
        // should be empty!
    }

    public void test00() {
        // empty!
    }

    @SinceVersion("0.1.0")
    public void test01() {
        // empty!
    }

    @SinceVersion("0.2.0")
    public void test02() {
        // empty!
    }

    @SinceVersion("0.3.0")
    public void test03() {
        // empty!
    }

    @SinceVersion("0.4.0")
    public void test04() {
        // empty!
    }

    @SinceVersion("0.5.0")
    public void test05() {
        // empty!
    }

    @SinceVersion("0.2.5")
    public void test06() {
        // empty!
    }

    @SinceVersion("0.3.1")
    public void test07() {
        // empty!
    }

    @SinceVersion("0.0.99")
    public void test08() {
        // empty!
    }

    @SinceVersion("0.2.99")
    public void test09() {
        // empty!
    }

    @SinceVersion("0.99.99")
    public void test10() {
        // empty!
    }

    @TillVersion("0.1.0")
    public void test11() {
        // empty!
    }

    @TillVersion("0.2.0")
    public void test12() {
        // empty!
    }

    @TillVersion("0.2.99")
    public void test13() {
        // empty!
    }

    @TillVersion("0.3.0")
    public void test14() {
        // empty!
    }

    @TillVersion("0.3.1")
    public void test15() {
        // empty!
    }

    @TillVersion("0.4.0")
    public void test16() {
        // empty!
    }

    @TillVersion("0.5.0")
    public void test17() {
        // empty!
    }

    @TillVersion("1.5.0")
    public void test18() {
        // empty!
    }

    @TillVersion("0.0.0")
    public void test19() {
        // empty!
    }

    @TillVersion("9.9.9")
    public void test20() {
        // empty!
    }

    @SinceVersion("0.0.0")
    @TillVersion("0.1.0")
    public void test21() {
        // empty!
    }

    @SinceVersion("0.1.0")
    @TillVersion("0.2.0")
    public void test22() {
        // empty!
    }

    @SinceVersion("0.2.0")
    @TillVersion("0.3.0")
    public void test23() {
        // empty!
    }

    @SinceVersion("0.3.0")
    @TillVersion("0.4.0")
    public void test24() {
        // empty!
    }

    @SinceVersion("0.4.0")
    @TillVersion("0.5.0")
    public void test25() {
        // empty!
    }

    @SinceVersion("0.0.0")
    @TillVersion("1.0.0")
    public void test26() {
        // empty!
    }

    @SinceVersion("1.0.0")
    @TillVersion("0.0.0")
    public void test27() {
        // empty!
    }

    @SinceVersion("0.3.0")
    @TillVersion("0.3.0")
    public void test28() {
        // empty!
    }

    @SinceVersion("0.5.0")
    @TillVersion("0.2.0")
    public void test29() {
        // empty!
    }

    @SinceVersion("0.9.0")
    @TillVersion("1.0.0")
    public void test30() {
        // empty!
    }

    @ValidVersions({"0.1.0", "0.2.0"})
    public void test31() {
        // empty!
    }

    @ValidVersions({"0.2.0", "0.3.0"})
    public void test32() {
        // empty!
    }

    @ValidVersions({"0.3.0", "0.4.0"})
    public void test33() {
        // empty!
    }

    @ValidVersions({"0.4.0", "0.5.0"})
    public void test34() {
        // empty!
    }

    @ValidVersions({"0.5.0", "0.6.0"})
    public void test35() {
        // empty!
    }

    @ValidVersions({"0.1.0", "0.2.0", "0.3.0"})
    public void test36() {
        // empty!
    }

    @ValidVersions({"0.2.0", "0.3.0", "0.4.0"})
    public void test37() {
        // empty!
    }

    @ValidVersions({"0.3.0", "0.4.0", "0.5.0"})
    public void test38() {
        // empty!
    }

    @ValidVersions({"0.4.0", "0.5.0", "0.6.0"})
    public void test39() {
        // empty!
    }

    @ValidVersions({"0.5.0", "0.6.0"})
    public void test40() {
        // empty!
    }

    public static void main(String[] args) {
        new VersionAnnotationsSelfTest().doTests(args);
    }
}
